// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest}
 */
public  final class ListLeaderboardEntriesRequest extends
    com.google.protobuf.GeneratedMessageLite<
        ListLeaderboardEntriesRequest, ListLeaderboardEntriesRequest.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest)
    ListLeaderboardEntriesRequestOrBuilder {
  private ListLeaderboardEntriesRequest() {
    articleId_ = "";
  }
  public static final int ARTICLE_ID_FIELD_NUMBER = 5;
  private java.lang.String articleId_;
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The articleId.
   */
  @java.lang.Override
  public java.lang.String getArticleId() {
    return articleId_;
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The bytes for articleId.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getArticleIdBytes() {
    return com.google.protobuf.ByteString.copyFromUtf8(articleId_);
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @param value The articleId to set.
   */
  private void setArticleId(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  
    articleId_ = value;
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   */
  private void clearArticleId() {
    
    articleId_ = getDefaultInstance().getArticleId();
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @param value The bytes for articleId to set.
   */
  private void setArticleIdBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    articleId_ = value.toStringUtf8();
    
  }

  public static final int PAGINATION_OPTION_FIELD_NUMBER = 6;
  private gg.dsepractice.chinese.v1alpha1.PaginationOption paginationOption_;
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
   */
  @java.lang.Override
  public boolean hasPaginationOption() {
    return paginationOption_ != null;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.PaginationOption getPaginationOption() {
    return paginationOption_ == null ? gg.dsepractice.chinese.v1alpha1.PaginationOption.getDefaultInstance() : paginationOption_;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
   */
  private void setPaginationOption(gg.dsepractice.chinese.v1alpha1.PaginationOption value) {
    value.getClass();
  paginationOption_ = value;
    
    }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergePaginationOption(gg.dsepractice.chinese.v1alpha1.PaginationOption value) {
    value.getClass();
  if (paginationOption_ != null &&
        paginationOption_ != gg.dsepractice.chinese.v1alpha1.PaginationOption.getDefaultInstance()) {
      paginationOption_ =
        gg.dsepractice.chinese.v1alpha1.PaginationOption.newBuilder(paginationOption_).mergeFrom(value).buildPartial();
    } else {
      paginationOption_ = value;
    }
    
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
   */
  private void clearPaginationOption() {  paginationOption_ = null;
    
  }

  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest)
      gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequestOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return The articleId.
     */
    @java.lang.Override
    public java.lang.String getArticleId() {
      return instance.getArticleId();
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return The bytes for articleId.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getArticleIdBytes() {
      return instance.getArticleIdBytes();
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @param value The articleId to set.
     * @return This builder for chaining.
     */
    public Builder setArticleId(
        java.lang.String value) {
      copyOnWrite();
      instance.setArticleId(value);
      return this;
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return This builder for chaining.
     */
    public Builder clearArticleId() {
      copyOnWrite();
      instance.clearArticleId();
      return this;
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @param value The bytes for articleId to set.
     * @return This builder for chaining.
     */
    public Builder setArticleIdBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.setArticleIdBytes(value);
      return this;
    }

    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
     */
    @java.lang.Override
    public boolean hasPaginationOption() {
      return instance.hasPaginationOption();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.PaginationOption getPaginationOption() {
      return instance.getPaginationOption();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
     */
    public Builder setPaginationOption(gg.dsepractice.chinese.v1alpha1.PaginationOption value) {
      copyOnWrite();
      instance.setPaginationOption(value);
      return this;
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
     */
    public Builder setPaginationOption(
        gg.dsepractice.chinese.v1alpha1.PaginationOption.Builder builderForValue) {
      copyOnWrite();
      instance.setPaginationOption(builderForValue.build());
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
     */
    public Builder mergePaginationOption(gg.dsepractice.chinese.v1alpha1.PaginationOption value) {
      copyOnWrite();
      instance.mergePaginationOption(value);
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
     */
    public Builder clearPaginationOption() {  copyOnWrite();
      instance.clearPaginationOption();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "articleId_",
            "paginationOption_",
          };
          java.lang.String info =
              "\u0000\u0002\u0000\u0000\u0005\u0006\u0002\u0000\u0000\u0000\u0005\u0208\u0006\t" +
              "";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest)
  private static final gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest DEFAULT_INSTANCE;
  static {
    ListLeaderboardEntriesRequest defaultInstance = new ListLeaderboardEntriesRequest();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      ListLeaderboardEntriesRequest.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<ListLeaderboardEntriesRequest> PARSER;

  public static com.google.protobuf.Parser<ListLeaderboardEntriesRequest> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

